Subject: Re: (Q)how to use perl in cygwin-b20?
From: "Okehee Goh" <[email-masked]>
To: "Charles Wilson" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 14 Jun 2000 14:51:16 -0400

Thanks for tips about B20's Perl .

My original folder structure for cygwin was like this:
C:\cygwin\cygwin-b20\etc
                                \H-i586-cygwin32\bin
                                \include
                                \share.

I placed all the new folder, /usr/local.., unpacked from
perl-5.005_03-dynamic
 under C:\cygwin\cygwin-b20\.
And then, I put new path including C:\cygwin\cygwin-b20\usr\local\bin at
cygnus.bat.

When I run perl for specific configuration file, it brought out the
following error,
"Can't locate Config.pm in @INC (@INC contains:
/usr/local/lib/perl5/5.00503/cygwin32 /usr/local/lib/perl5/5.00503
/usr/local/lib/perl5/site_perl/cygwin32 /usr/local/lib/perl5/site_perl .)
 at ../src/build_tools/config_vm.pl line 27.
BEGIN failed--compilation aborted at ../src/build_tools/config_vm.pl line
27."

How can I adjust the library path in order to let them search
/c/cygwin/cygwin-b20/usr/local/lib instead of /usr/local/lib...?

Huh.., I don't have even "man" command to read *.man manual.

Thanks so much.

Okehee

 ********************************************************************
 Okehee Goh
 RealTime System Lab.  (T) 1-352-392-6836
 CISE Dept.  University Of Florida

----- Original Message -----
From: "Charles Wilson" <[email-masked]>
To: "Okehee Goh" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, June 14, 2000 1:06 AM
Subject: Re: (Q)how to use perl in cygwin-b20?

> See my site, http://cygutils.netpedia.net/B20/ for a precompiled perl.
> You don't need to install rpm to use my perl package; however, rpm is
> useful with *one* of the three perl binaries on my site:
>
> perl-5.005_62
>   most recent development snapshot of perl that I compiled for B20
> (newer binaries on my site, including perl-5.6.0, were built for V1.1 &
> the CD). You can use rpm (also provided at cygutils) to install
> precompiled extension modules.
>
> perl-5.005_03-dynamic
>   stable perl release. Includes various precompiled modules, dynamically
> linked from the main perl.exe. You don't need rpm for this version.
>
> perl-5.005_03-static.
>   stable perl release. Includes precompiled modules statically linked
> into perl.exe.
>
> ---------
>
> Don't try to build perl-5.6.0-RCanything or the 5.6.0 release using B20;
> it won't work. The latest perl uses features provided by the more recent
> cygwin dlls. The latest version of perl that would compile with
> cygwin-B20 was 5.005_62.
>
> --Chuck
>
>
> > Okehee Goh wrote:
> >
> > Hi,
> >
> > I'm using cygwin-b20(I don't know the version of cygwin installed in
> > my computer.
> > The folder structure for this package
> > is"C:\cygnus\cygwin-b20\H-i586-cygwin32\bin".
> >
> > I need to use perl.  However, the cygwin I have doesn't include perl.
> > So, should I install perl-5.6.0-RCI on the current cygwin?
> > To do that, I need to install RPM first of all.
> > The procedure looks complicated.
> >
> > Is there any other way to upgrade everything at just one step without
> > paying to buy software?
> >
> > Sorry if this question is too egoistic.
> >
> > Okehee
> >
> >  ********************************************************************
> >  Okehee Goh
> >  RealTime System Lab.  (T) 1-352-392-6836
> >  CISE Dept.  University Of Florida
> >
> >
> >
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]